<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script>
            //array unidireccional(vector      )
            let listado = [444, 24, 3333, 4, 5];
            
            let listado2 = new Array(1,2,3,4,5);
            //mostrar el array
            console.log(listado);
            console.log(listado2);
            
            let a = listado[2];
            console.log(a);
            //introducir datos en un array
            listado2[4] = 500;
            console.log(listado2);
            
            listado3 = ['hola', 123, false, listado];
            
            console.log(listado3);
            //array con textos
            let notas=["suspenso","aprobado"];
            //array asociativo(JSON)
            let alumno=["moises","sarabia",31];
            let alumnoJSON={
                "nombre":"moises",
                "apellidos":"sarabia",
                "edad":"31"
            };
            console.log(alumno[2]);
            console.log(alumnoJSON['edad']);
            console.log(alumnoJSON.edad)
            
        </script>
    </body>
</html>
        
